jbpm使用tomcat时的jar冲突问题

发布于:2021-07-28 02:13:16

?说明:原因是Jbpm的juel.jar, juel-engine.jar, juel-impl.jar包和Tomcat6.0中的el-api.jar包冲突了。



?有三个解决办法:



?1,方法一:换成tomcat5.5,就没有问题了。



?2,方法二:在MyEclipse的Preferences -> MyEclipse -> Application Servers -> Tomcat -> .. ->


Paths 中配置 Append to classpath,选中 juel.jar, juel-engine.jar, juel-impl.jar 这三个jar包就可以了。



?3,方法三:将 juel.jar, juel-engine.jar, juel-impl.jar 这三个包复制到tomcat6下 lib/ 中,并删除原


来的el-api.jar,



?切记还要把工程中 WEB-INFlib 下的 juel.jar, juel-engine.jar, juel-impl.jar 删除,不然还是要冲突


?

相关推荐

最新更新

猜你喜欢